aboutsummaryrefslogtreecommitdiff
path: root/test/oryx
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2022-08-31 16:29:23 +0300
committerGitHub <noreply@github.com>2022-08-31 16:29:23 +0300
commit8f64809e5d277693afbbd5667a2803ad666768e3 (patch)
treec586e3905868cb206402e0c41c16bc40fa48c117 /test/oryx
parent6851eadfcb7410d788d655711136ab8e41d476e5 (diff)
Oryx - Clean up and shrink size (#116)
* shrink oryx * bump version * bump version * prune dotnet * add warning * bump version
Diffstat (limited to 'test/oryx')
-rw-r--r--test/oryx/install_dotnet_and_oryx.sh12
-rw-r--r--test/oryx/scenarios.json9
-rwxr-xr-xtest/oryx/test.sh4
3 files changed, 24 insertions, 1 deletions
diff --git a/test/oryx/install_dotnet_and_oryx.sh b/test/oryx/install_dotnet_and_oryx.sh
new file mode 100644
index 0000000..9151296
--- /dev/null
+++ b/test/oryx/install_dotnet_and_oryx.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "Oryx version" oryx --version
+check "Dotnet is not removed if it is not installed by the Oryx Feature" dotnet --version
+
+# Report result
+reportResults
diff --git a/test/oryx/scenarios.json b/test/oryx/scenarios.json
new file mode 100644
index 0000000..8598067
--- /dev/null
+++ b/test/oryx/scenarios.json
@@ -0,0 +1,9 @@
+{
+ "install_dotnet_and_oryx": {
+ "image": "ubuntu:focal",
+ "features": {
+ "dotnet": "6",
+ "oryx": {}
+ }
+ }
+} \ No newline at end of file
diff --git a/test/oryx/test.sh b/test/oryx/test.sh
index fd3a955..49a2327 100755
--- a/test/oryx/test.sh
+++ b/test/oryx/test.sh
@@ -6,9 +6,11 @@ set -e
source dev-container-features-test-lib
check "Oryx version" oryx --version
-check "Dotnet version" dotnet --version
check "ORYX_SDK_STORAGE_BASE_URL" echo $ORYX_SDK_STORAGE_BASE_URL
check "ENABLE_DYNAMIC_INSTALL" echo $ENABLE_DYNAMIC_INSTALL
+check "oryx-install-nodejs-12.22.11" oryx prep --skip-detection --platforms-and-versions nodejs=12.22.11
+check "nodejs-12.22.11-installed-by-oryx" ls /opt/nodejs/ | grep 12.22.11
+
# Report result
reportResults \ No newline at end of file